<html lang="en">
<head>
<title>Frame - Sketch</title>
<meta http-equiv="Content-Type" content="text/html">
<meta name="description" content="Sketch">
<meta name="generator" content="makeinfo 4.7">
<link title="Top" rel="start" href="index.html#Top">
<link rel="up" href="Global-environment.html#Global-environment" title="Global environment">
<link rel="prev" href="Picture-box.html#Picture-box" title="Picture box">
<link rel="next" href="Language.html#Language" title="Language">
<link href="http://www.gnu.org/software/texinfo/" rel="generator-home" title="Texinfo Homepage">
<!--
Copyright (C) 2005, 2006, 2007, 2008 Eugene K. Ressler.

This manual is for `sketch', version 0.2 (build 161),
Tuesday, September 08, 2009, a program that converts descriptions of simple
three-dimensional scenes into static drawings. This version generates
`PSTricks' or `PGF/TikZ' code suitable for use with the
TeX document processing system.

`Sketch' is free software; you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation; either version 3, or (at your option)
any later version.

Sketch is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with `sketch'; see the file COPYING.txt.  If not, see
http://www.gnu.org/copyleft.-->
<meta http-equiv="Content-Style-Type" content="text/css">
<style type="text/css"><!--
  pre.display { font-family:inherit }
  pre.format  { font-family:inherit }
  pre.smalldisplay { font-family:inherit; font-size:smaller }
  pre.smallformat  { font-family:inherit; font-size:smaller }
  pre.smallexample { font-size:smaller }
  pre.smalllisp    { font-size:smaller }
  span.sc { font-variant:small-caps }
  span.roman { font-family: serif; font-weight: normal; } 
--></style>
</head>
<body>
<div class="node">
<p>
<a name="Frame"></a>Next:&nbsp;<a rel="next" accesskey="n" href="Language.html#Language">Language</a>,
Previous:&nbsp;<a rel="previous" accesskey="p" href="Picture-box.html#Picture-box">Picture box</a>,
Up:&nbsp;<a rel="up" accesskey="u" href="Global-environment.html#Global-environment">Global environment</a>
<hr><br>
</div>

<!-- node-name,  next,  previous,  up -->
<h4 class="subsection">3.4.4 Frame</h4>

<p><a name="index-frame-box-389"></a><strong>Syntax:</strong>
<a name="index-frame-390"></a>
<pre class="example">     frame [<var>options</var>]
</pre>
   <p class="noindent">Causes a <tt>\psframebox</tt>
<a name="index-_0040code_007bpsframebox_007d-391"></a>to surround the <code>pspicture</code>
environment in the output.  If <var>options</var> are present, they are
copied as-is.  Normally one would want to set
<a name="index-linewidth-392"></a><code>linewidth</code>,
<a name="index-linestyle-393"></a><code>linestyle</code>,
<a name="index-linecolor-394"></a><code>linecolor</code>, etc. 
If omitted, then
<a name="index-framesep-395"></a><code>framesep=0pt</code> is
added so that the frame tightly hugs the <code>pspicture</code>.

   </body></html>

